OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Private Attributes
Script_FatalError Class Reference

A throw-class that is given when the script made a fatal error. More...

`#include <script_fatalerror.hpp>`

## Public Member Functions
| Script_FatalError (const char *msg)
| Creates a "fatal error" exception.
const char * | GetErrorMessage ()
| The error message associated with the fatal error.

## Private Attributes
const char * | msg
| The error message.

## Detailed Description

A throw-class that is given when the script made a fatal error.

Definition at line 18 of file script_fatalerror.hpp.

## Constructor & Destructor Documentation

Script_FatalError::Script_FatalError | ( | const char * | msg | ) |
| inline

Creates a "fatal error" exception.

Parameters

  msg | The message describing the cause of the fatal error.

Definition at line 24 of file script_fatalerror.hpp.

## Member Function Documentation

const char* Script_FatalError::GetErrorMessage | ( |  | ) |
| inline

The error message associated with the fatal error.

Returns
  The error message.

Definition at line 32 of file script_fatalerror.hpp.

References msg.

Referenced by ScriptInstance::GameLoop(), ScriptInstance::Initialize(), and ScriptInstance::Save().

The documentation for this class was generated from the following file:

- src/script/script_fatalerror.hpp